org.apache.struts2.views.xslt

## Class SimpleTextNode

- java.lang.Object
- - org.apache.struts2.views.xslt.AbstractAdapterNode
  - - org.apache.struts2.views.xslt.SimpleTextNode

- All Implemented Interfaces:
    AdapterNode, CharacterData, Node, Text

      public class SimpleTextNode
      extends AbstractAdapterNode
      implements Node, Text

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextNode(AdapterFactory rootAdapterFactory, AdapterNode parent, String propertyName, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendData(String string)`
    `void` | `deleteData(int i, int i1)`
    `String` | `getData()`
    `int` | `getLength()`
    `String` | `getNodeName()`
    `short` | `getNodeType()`
    `String` | `getNodeValue()`
    `protected String` | `getStringValue()`
    `String` | `getWholeText()`
    `void` | `insertData(int i, String string)`
    `boolean` | `isElementContentWhitespace()`
    `void` | `replaceData(int i, int i1, String string)`
    `Text` | `replaceWholeText(String string)`
    `void` | `setData(String string)`
    `Text` | `splitText(int i)`
    `String` | `substringData(int beginIndex, int endIndex)`

    - ### Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode

      `appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getAttributes, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### SimpleTextNode

          public SimpleTextNode(AdapterFactory rootAdapterFactory,
                                AdapterNode parent,
                                String propertyName,
                                Object value)

  - ### Method Detail

    - #### getStringValue

          protected String getStringValue()

    - #### setData

          public void setData(String string)
                       throws DOMException

      Specified by:
        `setData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### getData

          public String getData()
                         throws DOMException

      Specified by:
        `getData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `CharacterData`

    - #### getNodeName

          public String getNodeName()

      Specified by:
        `getNodeName` in interface `Node`
      Overrides:
        `getNodeName` in class `AbstractAdapterNode`

    - #### getNodeType

          public short getNodeType()

      Specified by:
        `getNodeType` in interface `Node`
      Overrides:
        `getNodeType` in class `AbstractAdapterNode`

    - #### getNodeValue

          public String getNodeValue()
                              throws DOMException

      Specified by:
        `getNodeValue` in interface `Node`
      Overrides:
        `getNodeValue` in class `AbstractAdapterNode`
      Throws:
        `DOMException`

    - #### appendData

          public void appendData(String string)
                          throws DOMException

      Specified by:
        `appendData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### deleteData

          public void deleteData(int i,
                                 int i1)
                          throws DOMException

      Specified by:
        `deleteData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### insertData

          public void insertData(int i,
                                 String string)
                          throws DOMException

      Specified by:
        `insertData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### replaceData

          public void replaceData(int i,
                                  int i1,
                                  String string)
                           throws DOMException

      Specified by:
        `replaceData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### splitText

          public Text splitText(int i)
                         throws DOMException

      Specified by:
        `splitText` in interface `Text`
      Throws:
        `DOMException`

    - #### substringData

          public String substringData(int beginIndex,
                                      int endIndex)
                               throws DOMException

      Specified by:
        `substringData` in interface `CharacterData`
      Throws:
        `DOMException`

    - #### isElementContentWhitespace

          public boolean isElementContentWhitespace()

      Specified by:
        `isElementContentWhitespace` in interface `Text`

    - #### getWholeText

          public String getWholeText()

      Specified by:
        `getWholeText` in interface `Text`

    - #### replaceWholeText

          public Text replaceWholeText(String string)
                                throws DOMException

      Specified by:
        `replaceWholeText` in interface `Text`
      Throws:
        `DOMException`

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.